# Motan

#### [中文文档](zh_overview)

# Overview
Motan is a remote procedure call(RPC) framework for rapid development of high performance distributed services.

# Features
- Create distributed services without writing extra code.
- Provides cluster support and integrate with popular service discovery services like [Consul][consul] or [Zookeeper][zookeeper]. 
- Supports advanced scheduling features like weighted load-balance, scheduling cross IDCs, etc.
- Optimization for high load scenarios, provides high availability in production environment.


# Contents

* [Quick Start](https://github.com/weibocom/motan/wiki/en_quickstart)
    * [Using Motan in single machine environment](https://github.com/weibocom/motan/wiki/en_quickstart#using-motan-in-single-machine-environment)
    * [Using Motan in cluster environment](https://github.com/weibocom/motan/wiki/en_quickstart#using-motan-in-cluster-environment)
* User Guide(Preparing)
    * Overview(Preparing)
    * Use Motan(Preparing)
    * Configuration(Preparing)
    * Managing and Monitoring(Preparing)
* Develop Guide(Preparing)
* [FAQ](https://github.com/weibocom/motan/wiki/en_faq)


[consul]:http://www.consul.io
[zookeeper]:http://zookeeper.apache.org